public static interface BraintreeEndpointBuilderFactory.BraintreeBuilders
| Modifier and Type | Method and Description |
|---|---|
default BraintreeEndpointBuilderFactory.BraintreeEndpointBuilder |
braintree(String path)
Braintree (camel-braintree)
Process payments using Braintree Payments.
|
default BraintreeEndpointBuilderFactory.BraintreeEndpointBuilder |
braintree(String componentName,
String path)
Braintree (camel-braintree)
Process payments using Braintree Payments.
|
default BraintreeEndpointBuilderFactory.BraintreeEndpointBuilder braintree(String path)
braintree:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 17 enums and the value can be one of: ADD_ON, ADDRESS,
CLIENT_TOKEN, CREDIT_CARD_VERIFICATION, CUSTOMER, DISCOUNT, DISPUTE,
DOCUMENT_UPLOAD, MERCHANT_ACCOUNT, PAYMENT_METHOD,
PAYMENT_METHOD_NONCE, PLAN, REPORT, SETTLEMENT_BATCH_SUMMARY,
SUBSCRIPTION, TRANSACTION, WEBHOOK_NOTIFICATION
Path parameter: methodName (required)
What sub operation to use for the selected operation
There are 31 enums and the value can be one of: accept,
addFileEvidence, addTextEvidence, cancel, cancelRelease,
cloneTransaction, create, createForCurrency, credit, delete,
fetchMerchantAccounts, finalize, find, generate, grant, holdInEscrow,
parse, refund, releaseFromEscrow, removeEvidence, retryCharge,
revoke, sale, search, submitForPartialSettlement,
submitForSettlement, transactionLevelFees, update, updateDetails,
verify, voidTransactionpath - apiName/methodNamedefault BraintreeEndpointBuilderFactory.BraintreeEndpointBuilder braintree(String componentName, String path)
braintree:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 17 enums and the value can be one of: ADD_ON, ADDRESS,
CLIENT_TOKEN, CREDIT_CARD_VERIFICATION, CUSTOMER, DISCOUNT, DISPUTE,
DOCUMENT_UPLOAD, MERCHANT_ACCOUNT, PAYMENT_METHOD,
PAYMENT_METHOD_NONCE, PLAN, REPORT, SETTLEMENT_BATCH_SUMMARY,
SUBSCRIPTION, TRANSACTION, WEBHOOK_NOTIFICATION
Path parameter: methodName (required)
What sub operation to use for the selected operation
There are 31 enums and the value can be one of: accept,
addFileEvidence, addTextEvidence, cancel, cancelRelease,
cloneTransaction, create, createForCurrency, credit, delete,
fetchMerchantAccounts, finalize, find, generate, grant, holdInEscrow,
parse, refund, releaseFromEscrow, removeEvidence, retryCharge,
revoke, sale, search, submitForPartialSettlement,
submitForSettlement, transactionLevelFees, update, updateDetails,
verify, voidTransactioncomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel